Package rdkit :: Package ML :: Package DecTree :: Module TreeUtils

[hide private]
[frames] | no frames]

# Module TreeUtils

source code

    Utilities for working with trees

Functions | [hide private]

CollectLabelLevels(tree, levels, level=0, maxDepth=1e8) | source code

CollectDescriptorNames(tree, names, level=0, maxDepth=1e8) | source code

_test() | source code

Variables | [hide private]

| _test1 = ``...``
| __test__ = `{'_test1': _test1}`

Variables Details | [hide private]

### _test1

Value:

      """
      >>> from DecTree import DecTreeNode as Node
      >>> t1 = Node(None,'d1',1)
      >>> t2 = Node(None,'d2',2)
      >>> t1.AddChildNode(t2)
      >>> t2 = Node(None,'d3',3)
      >>> t1.AddChildNode(t2)
      >>> t3 = Node(None,'d4',4)
      ...